## Execute a SPARQL query `SparqlResult query().sparql(QuerySparqlParamsparams, RequestOptionsrequestOptions = RequestOptions.none())` **post** `/api/v1/sparql` Execute a SPARQL query ### Parameters - `QuerySparqlParams params` - `SparqlQuery sparqlQuery` ### Returns - `class SparqlResult:` GeoJSON FeatureCollection of SPARQL query results - `List features` GeoJSON features from SPARQL query - `GeoJsonGeometry geometry` - `Coordinates coordinates` GeoJSON coordinates array (nesting depth varies by geometry type) - `List` - `List>` - `List>>` - `List>>>` - `Type type` - `POINT("Point")` - `LINE_STRING("LineString")` - `POLYGON("Polygon")` - `MULTI_POINT("MultiPoint")` - `MULTI_LINE_STRING("MultiLineString")` - `MULTI_POLYGON("MultiPolygon")` - `Properties properties` - `Type type` - `FEATURE("Feature")` - `Optional id` Feature identifier (type/osm_id) - `Optional osmId` OpenStreetMap ID - `Type type` - `FEATURE_COLLECTION("FeatureCollection")` ### Example ```java package com.plazafyi.example; import com.plazafyi.client.PlazaClient; import com.plazafyi.client.okhttp.PlazaOkHttpClient; import com.plazafyi.models.query.QuerySparqlParams; import com.plazafyi.models.query.SparqlQuery; import com.plazafyi.models.query.SparqlResult; public final class Main { private Main() {} public static void main(String[] args) { PlazaClient client = PlazaOkHttpClient.fromEnv(); SparqlQuery params = SparqlQuery.builder() .query("query") .build(); SparqlResult sparqlResult = client.query().sparql(params); } } ```